package types

// UtahBill is a struct that represents a bill in the Utah legislature
type UtahBill struct {
	Bill                string   `json:"bill"`
	Version             string   `json:"version"`
	ShortTitle          string   `json:"shorttitle"`
	Sponsor             string   `json:"sponsor"`
	FloorSponsor        string   `json:"floorsponsor"`
	GeneralProvisions   string   `json:"generalprovisions"`
	HilightedProvisions string   `json:"hilightedprovisions"`
	Monies              string   `json:"monies"`
	Attorney            string   `json:"attorney"`
	FiscalAnalyst       string   `json:"fiscalanalyst"`
	LastAction          string   `json:"lastaction"`
	LastActionOwner     string   `json:"lastactionowner"`
	LastActionTime      string   `json:"lastactiontime"`
	TrackingID          string   `json:"trackingid"`
	Subjects            []string `json:"subjects"`
	CodeSections        []string `json:"codesections"`
	Agendas             []string `json:"agendas"`
}

// UtahBillListItem is a struct that represents a bill in a list of bills
type UtahBillListItem struct {
	Number     string `json:"number"`
	UpdateTime string `json:"updatetime"`
}

// UtahBillList is a struct that represents a list of bills in the Utah legislature
type UtahBillList struct {
	Bills []UtahBillListItem `json:"bills"`
}
